org.apache.uima.analysis_engine.impl

## Class TypeOrFeature_impl

- java.lang.Object
- - org.apache.uima.resource.metadata.impl.MetaDataObject_impl
  - - org.apache.uima.analysis_engine.impl.TypeOrFeature_impl

- All Implemented Interfaces:
    Serializable, Cloneable, Comparable<TypeOrFeature>, TypeOrFeature, MetaDataObject, XMLizable

      public class TypeOrFeature_impl
      extends MetaDataObject_impl
      implements TypeOrFeature

  Reference implementation of `TypeOrFeature`.
  See Also:
    Serialized Form

- - ### Nested Class Summary

    - ### Nested classes/interfaces inherited from class org.apache.uima.resource.metadata.impl.MetaDataObject_impl

      `MetaDataObject_impl.MetaDataAttr, MetaDataObject_impl.SerialContext, MetaDataObject_impl.Serializer`

  - ### Field Summary

    - ### Fields inherited from class org.apache.uima.resource.metadata.impl.MetaDataObject_impl

      `serialContext`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `TypeOrFeature_impl()`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `void` | `buildFromXMLElement(Element aElement, XMLParser aParser, XMLParser.ParsingOptions aOptions)` Overridden to provide custom XML representation.
    `int` | `compareTo(TypeOrFeature obj)`
    `boolean` | `equals(Object obj)` Determines if this object is equal to another.
    `String` | `getName()` Gets the fully-qualified Type or Feature name.
    `protected XmlizationInfo` | `getXmlizationInfo()` To be implemented by subclasses to return information describing how to represent this object in XML.
    `int` | `hashCode()` Gets the hash code for this object.
    `boolean` | `isAllAnnotatorFeatures()` For Type references, this method determines whether this reference should be considered to also refer to all features of the Type that are known to the annotator.
    `boolean` | `isType()` Gets whether this object refers to a Type or to a Feature.
    `void` | `setAllAnnotatorFeatures(boolean aAllAnnotatorFeatures)` For Type references, sets whether this reference should be considered to also refer to all features of the Type that are known to the annotator.
    `void` | `setName(String aName)` Sets the fully-qualified Type or Feature name.
    `void` | `setType(boolean aType)` Sets whether this object refers to a Type or to a Feature.
    `void` | `toXML(ContentHandler aContentHandler, boolean aWriteDefaultNamespaceAttribute)` Overridden to provide custom XML representation.
    `void` | `toXMLinner(boolean aWriteDefaultNamespaceAttribute)`

    - ### Methods inherited from class org.apache.uima.resource.metadata.impl.MetaDataObject_impl

      `buildFromXMLElement, clone, getAdditionalAttributes, getAttributeClass, getAttributeValue, getInfoset, getMatchingNode, getPropertyDescriptors, getPropertyXmlInfo, getRelativePathBase, getSerialContext, getSourceUrl, getSourceUrlString, getWrapperClass, getXMLAttributes, isModifiable, listAttributes, readArrayPropertyValueFromXMLElement, readMapPropertyFromXml, readPropertyValueFromXMLElement, readUnknownPropertyValueFromXMLElement, resolveSettings, setAttributeValue, setInfoset, setSourceUrl, setSourceUrlIfNull, toString, toXML, toXML, toXML, valueIsNullOrEmptyArray, writeArrayPropertyAsElement, writeMapPropertyToXml, writePropertyAsElement`

    - ### Methods inherited from class java.lang.Object

      `finalize, getClass, notify, notifyAll, wait, wait, wait`

    - ### Methods inherited from interface org.apache.uima.resource.metadata.MetaDataObject

      `clone, getAttributeValue, getSourceUrl, getSourceUrlString, isModifiable, listAttributes, setAttributeValue, setSourceUrl`

    - ### Methods inherited from interface org.apache.uima.util.XMLizable

      `buildFromXMLElement, toXML, toXML, toXML`

- - ### Constructor Detail

    - #### TypeOrFeature_impl

          public TypeOrFeature_impl()

  - ### Method Detail

    - #### isType

          public boolean isType()

      Description copied from interface: `TypeOrFeature`
      Gets whether this object refers to a Type or to a Feature.
      Specified by:
        `isType` in interface `TypeOrFeature`
      Returns:
        true if Type, false if Feature
      See Also:
        `TypeOrFeature.isType()`

    - #### setType

          public void setType(boolean aType)

      Description copied from interface: `TypeOrFeature`
      Sets whether this object refers to a Type or to a Feature.
      Specified by:
        `setType` in interface `TypeOrFeature`
      Parameters:
        `aType` - true if Type, false if Feature
      See Also:
        `TypeOrFeature.setType(boolean)`

    - #### getName

          public String getName()

      Description copied from interface: `TypeOrFeature`
      Gets the fully-qualified Type or Feature name.
      Specified by:
        `getName` in interface `TypeOrFeature`
      Returns:
        the fully-qualified name
      See Also:
        `TypeOrFeature.getName()`

    - #### setName

          public void setName(String aName)

      Description copied from interface: `TypeOrFeature`
      Sets the fully-qualified Type or Feature name.
      Specified by:
        `setName` in interface `TypeOrFeature`
      Parameters:
        `aName` - the fully-qualified name
      See Also:
        `TypeOrFeature.setName(java.lang.String)`

    - #### isAllAnnotatorFeatures

          public boolean isAllAnnotatorFeatures()

      Description copied from interface: `TypeOrFeature`
      For Type references, this method determines whether this reference should be considered to also refer to all features of the Type that are known to the annotator. This field is not used for Feature references.
      Specified by:
        `isAllAnnotatorFeatures` in interface `TypeOrFeature`
      Returns:
        true if this is a reference to all features, false if it is only a reference to the type
      See Also:
        `TypeOrFeature.isAllAnnotatorFeatures()`

    - #### setAllAnnotatorFeatures

          public void setAllAnnotatorFeatures(boolean aAllAnnotatorFeatures)

      Description copied from interface: `TypeOrFeature`
      For Type references, sets whether this reference should be considered to also refer to all features of the Type that are known to the annotator. This field is not used for Feature references.
      Specified by:
        `setAllAnnotatorFeatures` in interface `TypeOrFeature`
      Parameters:
        `aAllAnnotatorFeatures` - true if this is a reference to all features, false if it is only a reference to the type
      See Also:
        `TypeOrFeature.setAllAnnotatorFeatures(boolean)`

    - #### buildFromXMLElement

          public void buildFromXMLElement(Element aElement,
                                          XMLParser aParser,
                                          XMLParser.ParsingOptions aOptions)
                                   throws InvalidXMLException

      Overridden to provide custom XML representation.
      Specified by:
        `buildFromXMLElement` in interface `XMLizable`
      Overrides:
        `buildFromXMLElement` in class `MetaDataObject_impl`
      Parameters:
        `aElement` - the XML element that represents this object.
        `aParser` - a reference to the UIMA `XMLParser`. The `XMLParser.buildObject(Element)` method can be used to construct sub-objects.
        `aOptions` - option settings
      Throws:
        `InvalidXMLException` - if the input XML element does not specify a valid object
      See Also:
        `XMLizable.buildFromXMLElement(org.w3c.dom.Element, org.apache.uima.util.XMLParser)`

    - #### toXML

          public void toXML(ContentHandler aContentHandler,
                            boolean aWriteDefaultNamespaceAttribute)
                     throws SAXException

      Overridden to provide custom XML representation.
      Specified by:
        `toXML` in interface `XMLizable`
      Overrides:
        `toXML` in class `MetaDataObject_impl`
      Parameters:
        `aContentHandler` - the content handler to which this object will write events that describe its XML representation.
        `aWriteDefaultNamespaceAttribute` - whether the namespace of this element should be written as the default namespace. This should be done only for the root element, and it defaults to false.
      Throws:
        `SAXException` - pass thru
      See Also:
        `XMLizable.toXML(ContentHandler)`

    - #### toXMLinner

          public void toXMLinner(boolean aWriteDefaultNamespaceAttribute)
                          throws SAXException

      Throws:
        `SAXException`

    - #### compareTo

          public int compareTo(TypeOrFeature obj)

      Specified by:
        `compareTo` in interface `Comparable<TypeOrFeature>`
      See Also:
        `Comparable.compareTo(java.lang.Object)`

    - #### getXmlizationInfo

          protected XmlizationInfo getXmlizationInfo()

      Description copied from class: `MetaDataObject_impl`
      To be implemented by subclasses to return information describing how to represent this object in XML.
      Specified by:
        `getXmlizationInfo` in class `MetaDataObject_impl`
      Returns:
        information defining this object's XML representation
      See Also:
        `MetaDataObject_impl.getXmlizationInfo()`

    - #### hashCode

          public int hashCode()

      Description copied from class: `MetaDataObject_impl`
      Gets the hash code for this object. The hash codes of two NameClassPairs `x` and `y` must be equal if `x.equals(y)` returns true;
      Overrides:
        `hashCode` in class `MetaDataObject_impl`
      Returns:
        the hash code for this object

    - #### equals

          public boolean equals(Object obj)

      Description copied from class: `MetaDataObject_impl`
      Determines if this object is equal to another. Two MetaDataObjects are equivalent if they share the same attributes and the same values for those attributes.
      Specified by:
        `equals` in interface `MetaDataObject`
      Overrides:
        `equals` in class `MetaDataObject_impl`
      Parameters:
        `obj` - object with which to compare this object
      Returns:
        true if and only if this object is equal to `aObj`

Copyright © 2006–2022 The Apache Software Foundation. All rights reserved.